u, A = (-3,2), (5,2) # vecteur u(-3,2) et point A(5,2)

def colinear(v,w):
    return v[0]*w[1] - v[1]*w[0] == 0

def vect(M,N):
    return ( N[0]-M[0] , N[1]-M[1] )

y = 2

while not colinear(u,vect(A,(20,y))):
    y = y - 1

print(y)
